{
  "name": "readpdf",
  "display_name": "Read PDF",
  "description": "Reads a PDF and extracts its content",
  "group": [
    "transform"
  ],
  "versions": [
    1.0
  ],
  "inputs": 1,
  "outputs": 1,
  "credentials": [],
  "properties": [
    {
      "name": "binaryPropertyName",
      "display_name": "Input Binary Field",
      "kind": "string",
      "required": true,
      "default": "data",
      "description": "Name of the binary property from which to read the PDF file"
    },
    {
      "name": "encrypted",
      "display_name": "Encrypted",
      "kind": "boolean",
      "required": true
    },
    {
      "name": "password",
      "display_name": "Password",
      "kind": "string",
      "required": false,
      "default": "",
      "description": "Password to decrypt the PDF file with"
    }
  ],
  "source_path": "/home/mcochran/n8n/packages/nodes-base/nodes/ReadPdf/ReadPDF.node.ts"
}